/*
 PEMouseAdapter.java - January 3, 2002 - jPicEdt, a picture editor for LaTeX.
 Copyright (C) 1999-2007 Sylvain Reynal

 Département de Physique
 Ecole Nationale Supérieure de l'Electronique et de ses Applications (ENSEA)
 6, avenue du Ponceau
 F-95014 CERGY CEDEX

 Tel : +33 130 736 245
 Fax : +33 130 736 667
 e-mail : reynal@ensea.fr
 jPicEdt web page : http://www.jpicedt.org
  
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or any later version.
  
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
  
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package jpicedt.graphic.event;

/**
 * An abstract adapter class for receiving PEMouseEvent's. 
 * The methods in this class are empty. This class exists as convenience for creating listener objects. 
 * @author Sylvain Reynal
 * @version $Id: PEMouseInputAdapter.java,v 1.5.2.1 2007/09/02 11:56:18 reynal Exp $
 *
 * @since jpicedt 1.3.2
 */
public class PEMouseInputAdapter implements PEMouseInputListener {

	public void mousePressed(PEMouseEvent e){}
	public void mouseReleased(PEMouseEvent e){}
	public void mouseClicked(PEMouseEvent e){}
	public void mouseMoved(PEMouseEvent e){}
	public void mouseDragged(PEMouseEvent e){}
	public void mouseEntered(PEMouseEvent e){}
	public void mouseExited(PEMouseEvent e){}
} // class 

