/*
 JPICConstants.java - July 29, 2003 - jPicEdt 2.0, a picture editor for LaTeX.
 Copyright (C) 1999-2007 Sylvain Reynal

 Département de Physique
 Ecole Nationale Supérieure de l'Electronique et de ses Applications (ENSEA)
 6, avenue du Ponceau
 F-95014 CERGY CEDEX

 Tel : +33 130 736 245
 Fax : +33 130 736 667
 e-mail : reynal@ensea.fr
 jPicEdt web page : http://www.jpicedt.org/
  
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or any later version.
  
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
  
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
 
package jpicedt.graphic.io.formatter;

/**
 * Useful constants used across the jpicedt.graphic.io.formatter package
 * @since jpicedt 1.3.3
 * @author Sylvain Reynal
 * @version $Id: JPICConstants.java,v 1.4.2.1 2007/09/02 11:56:18 reynal Exp $
 * 
 */
public interface JPICConstants {
	
	/**
	 * Line separator for the current platform (i.e. "\n" on Unix, "\n\r" on Windows, "\r" on Mac,..)
	 */
	public static final String CR_LF = System.getProperty("line.separator");
	
	/** line separator + tabulation */
	public static final String CR_LF_TAB = System.getProperty("line.separator")+"\t";
	

}
