/*
 View.java - February 9, 2002 - jPicEdt, a picture editor for LaTeX.
 Copyright (C) 1999-2007 Sylvain Reynal

 Département de Physique
 Ecole Nationale Supérieure de l'Electronique et de ses Applications (ENSEA)
 6, avenue du Ponceau
 F-95014 CERGY CEDEX

 Tel : +33 130 736 245
 Fax : +33 130 736 667
 e-mail : reynal@ensea.fr
 jPicEdt web page : http://www.jpicedt.org
  
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or any later version.
  
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
  
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package jpicedt.graphic.view;

/**
 * Useful constants for implementation of the View and Highlighter interfaces.
 * @since jpicedt 1.4
 * @author Sylvain Reynal
 * @version $Id: ViewConstants.java,v 1.3.2.1 2007/09/02 11:56:29 reynal Exp $
 *
 */
public interface ViewConstants {

	/** a constant that can be used as the max. distance b/w a point and a mouse click that triggers
	 * a selection (in mm !!!) */
	double CLICK_DISTANCE = 1.0;
	
	/** a constant that can be used as the size of selection-barbells (in pixels !!!) */
	double BARBELL_SIZE = 4.0;
	
}

